PropertyEditorManager (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class PropertyEditorManager

    java.lang.Object
      |
      +--java.beans.PropertyEditorManager

public class PropertyEditorManager
extends Object

The PropertyEditorManager can be used to locate a property editor for any given type name. This property editor must support the java.beans.PropertyEditor interface for editing a given object.

The PropertyEditorManager uses three techniques for locating an editor for a given type. First, it provides a registerEditor method to allow an editor to be specifically registered for a given type. Second it tries to locate a suitable class by adding "Editor" to the full qualified classname of the given type (e.g. "foo.bah.FozEditor"). Finally it takes the simple classname (without the package name) adds "Editor" to it and looks in a search-path of packages for a matching class.

So for an input class foo.bah.Fred, the PropertyEditorManager would first look in its tables to see if an editor had been registered for foo.bah.Fred and if so use that. Then it will look for a foo.bah.FredEditor class. Then it will look for (say) standardEditorsPackage.FredEditor class.

Default PropertyEditors will be provided for the Java primitive types "boolean", "byte", "short", "int", "long", "float", and "double"; and for the classes java.lang.String. java.awt.Color, and java.awt.Font.

Constructor Summary
`PropertyEditorManager()`

Method Summary
`static PropertyEditor` | `findEditor(Class targetType)` Locate a value editor for a given target type.
`static String[]` | `getEditorSearchPath()` Gets the package names that will be searched for property editors.
`static void` | `registerEditor(Class targetType, Class editorClass)` Register an editor class to be used to editor values of a given target class.
`static void` | `setEditorSearchPath(String[] path)` Change the list of package names that will be used for finding property editors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyEditorManager

    public PropertyEditorManager()

Method Detail

### registerEditor

    public static void registerEditor(Class targetType,
                                      Class editorClass)

  Register an editor class to be used to editor values of a given target class.

  First, if there is a security manager, its `checkPropertiesAccess` method is called. This could result in a SecurityException.

  Parameters:
    `targetType` - the Class object of the type to be edited
    `editorClass` - the Class object of the editor class. If this is null, then any existing definition will be removed.
  Throws:
    `SecurityException` - if a security manager exists and its `checkPropertiesAccess` method doesn't allow setting of system properties.
  See Also:
    `SecurityManager.checkPropertiesAccess()`

### findEditor

    public static PropertyEditor findEditor(Class targetType)

  Locate a value editor for a given target type.

  Parameters:
    `targetType` - The Class object for the type to be edited
  Returns:
    An editor object for the given target class. The result is null if no suitable editor can be found.

### getEditorSearchPath

    public static String[] getEditorSearchPath()

  Gets the package names that will be searched for property editors.

  Returns:
    The array of package names that will be searched in order to find property editors.

    This is initially set to {"sun.beans.editors"}.

### setEditorSearchPath

    public static void setEditorSearchPath(String[] path)

  Change the list of package names that will be used for finding property editors.

  First, if there is a security manager, its `checkPropertiesAccess` method is called. This could result in a SecurityException.

  Parameters:
    `path` - Array of package names.
  Throws:
    `SecurityException` - if a security manager exists and its `checkPropertiesAccess` method doesn't allow setting of system properties.
  See Also:
    `SecurityManager.checkPropertiesAccess()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.